OpenTTD Source: NetworkDirectConnecter Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Private Attributes
NetworkDirectConnecter Class Reference

Connect to a game server by IP:port. More...

Inheritance diagram for NetworkDirectConnecter:

## Public Member Functions
| NetworkDirectConnecter (std::string_view hostname, uint16_t port, std::string &&token, uint8_t tracking_number)
| Try to establish a direct (hostname:port based) connection.
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
| Callback when the connection succeeded.
Public Member Functions inherited from TCPConnecter
| TCPConnecter (std::string_view connection_string, uint16_t default_port, const NetworkAddress &bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address.
void | Kill ()
| Kill this connecter.

## Private Attributes
std::string | token
| Token of this connection.
uint8_t | tracking_number
| Tracking number of this connection.

## Additional Inherited Members
Static Public Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e.
static void | KillAll ()
| Kill all connection attempts.
template<class T , typename... Args>
static std::shared_ptr< TCPConnecter > | Create (Args &&... args)
| Create the connecter, and initiate connecting by putting it in the collection of TCP connections to make.

## Detailed Description

Connect to a game server by IP:port.

Definition at line 35 of file network_coordinator.cpp.

## Constructor & Destructor Documentation

## ◆ NetworkDirectConnecter()

NetworkDirectConnecter::NetworkDirectConnecter | ( | std::string_view | hostname,
|  | uint16_t | port,
|  | std::string && | token,
|  | uint8_t | tracking_number
| ) |  |
| inline

Try to establish a direct (hostname:port based) connection.

Parameters

  hostname | The hostname of the server.
  port | The port of the server.
  token | The token as given by the Game Coordinator to track this connection attempt.
  tracking_number | The tracking number as given by the Game Coordinator to track this connection attempt.

Definition at line 48 of file network_coordinator.cpp.

## Member Function Documentation

## ◆ OnConnect()

void NetworkDirectConnecter::OnConnect | ( | SOCKET | s | ) |
| inlineoverridevirtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 55 of file network_coordinator.cpp.

References _network_coordinator_client, ClientNetworkCoordinatorSocketHandler::ConnectSuccess(), and NetworkAddress::GetPeerAddress().

## ◆ OnFailure()

void NetworkDirectConnecter::OnFailure | ( |  | ) |
| inlineoverridevirtual

Callback for when the connection attempt failed.

Reimplemented from TCPConnecter.

Definition at line 50 of file network_coordinator.cpp.

References _network_coordinator_client, and ClientNetworkCoordinatorSocketHandler::ConnectFailure().

## Field Documentation

## ◆ token

std::string NetworkDirectConnecter::token
| private

Token of this connection.

Definition at line 37 of file network_coordinator.cpp.

## ◆ tracking_number

uint8_t NetworkDirectConnecter::tracking_number
| private

Tracking number of this connection.

Definition at line 38 of file network_coordinator.cpp.

The documentation for this class was generated from the following file:

- src/network/network_coordinator.cpp